# Grayspread Ontology

RDF ontology for [grayspread.net](https://grayspread.net) with HTML generator.
The public document is at
[https://onto.grayspread.net](https://onto.grayspread.net).

## To generate the HTML

Clone this repo and dependencies:

```
git clone --include-submodules git@notabug.org:scossu/grayspread-onto.git
```

Install Python packages:

```
pip install --user -r requirements.txt
```

Or, within a virtual env:

```
pip install -r requirements.txt
```

Generate the document:

```
pylode -i grayspread.ttl -o index.html -p gs
```

`index.html` is self-contained.
